<?php
echo "-- types initiaux--\n";
$i = "7 nains"; // chaîne
$j = 2.45  ; // réel
$k = true  ; // booléen
var_dump($i);
var_dump($j);
var_dump($k);
echo "-- types finaux--\n";
settype($i, "integer"); // $i vaut maintenant 7   (integer)
settype($j, "int");     // $j vaut maintenant 2   (integer)
settype($k, "string");  // $k vaut maintenant "1" (string)
var_dump($i);
var_dump($j);
var_dump($k);
?>
